package railcraft.client.gui;

import net.minecraft.entity.player.InventoryPlayer;
import railcraft.common.blocks.machine.gamma.TileDispenserCart;
import railcraft.common.core.RailcraftConstants;
import railcraft.common.gui.containers.ContainerDispenserCart;

public class GuiDispenserCart extends TileGui
{

    private static final String LABEL = "Cart Dispenser";

    public GuiDispenserCart(InventoryPlayer inv, TileDispenserCart tile)
    {
        super(tile, new ContainerDispenserCart(inv, tile), RailcraftConstants.GUI_TEXTURE_FOLDER + "gui_dispenser_cart.png");
        xSize = 176;
        ySize = 140;
    }

    @Override
    protected void drawGuiContainerForegroundLayer(int mouseX, int mouseY)
    {
        int sWidth = fontRenderer.getStringWidth(LABEL);
        int sPos = xSize / 2 - sWidth / 2;
        fontRenderer.drawString(LABEL, sPos, 6, 0x404040);
    }
}
