/*
 * Copyright (c) CovertJaguar, 2011 http://railcraft.info
 * 
 * This code is the property of CovertJaguar
 * and may only be used with explicit written
 * permission unless otherwise specified on the
 * license page at railcraft.wikispaces.com.
 */
package railcraft.client.gui;

import net.minecraft.client.Minecraft;
import net.minecraft.client.gui.GuiButton;
import net.minecraft.client.gui.GuiYesNo;

/**
 *
 * @author CovertJaguar <railcraft.wikispaces.com>
 */
public class GuiOpenForBusiness extends GuiYesNo {

    private final String message0;

    public GuiOpenForBusiness(String string0, String string1, String string2) {
        super(null, string1, string2, 0);
        message0 = string0;
    }

    @Override
    protected void actionPerformed(GuiButton par1GuiButton) {
        if (par1GuiButton.id == 0) {
            Minecraft.getMinecraft().displayGuiScreen(null);
        } else {
            Minecraft.getMinecraft().shutdown();
        }
    }

    @Override
    public void drawScreen(int par1, int par2, float par3) {
        super.drawScreen(par1, par2, par3);
        this.drawCenteredString(this.fontRenderer, this.message0, this.width / 2, 50, 16777215);
    }
}
