package railcraft.client.gui;

import railcraft.common.blocks.RailcraftTileEntity;
import railcraft.common.lang.RailcraftLanguage;

public class GuiOwner extends GuiBasic
{

    RailcraftTileEntity tile;

    public GuiOwner(RailcraftTileEntity t) {
        super(RailcraftLanguage.translate("tool.magnifying.glass"));
        tile = t;
    }

    @Override
    protected void drawExtras(int x, int y, float f) {
        if(tile != null) {
            GuiTools.drawCenteredString(fontRenderer, tile.getInvName(), 30);
            GuiTools.drawCenteredString(fontRenderer, RailcraftLanguage.translate("gui.owner.placedby"), 45);
            GuiTools.drawCenteredString(fontRenderer, tile.getOwner(), 60);
        }
    }
}
