package railcraft.client.render;

import railcraft.common.blocks.RailcraftBlocks;
import railcraft.common.blocks.aesthetics.post.EnumPost;

/**
 *
 * @author CovertJaguar <railcraft.wikispaces.com>
 */
public class RenderBlockPost extends BlockRenderer
{

    public RenderBlockPost() {
        super(RailcraftBlocks.getBlockPost());

        addCombinedRenderer(EnumPost.WOOD.ordinal(), new RenderPost());
        addCombinedRenderer(EnumPost.STONE.ordinal(), new RenderPostStone());
        addCombinedRenderer(EnumPost.METAL.ordinal(), new RenderPost());
    }
}
