package railcraft.client.render.models;

import net.minecraft.entity.Entity;
import net.minecraft.client.model.ModelBase;
import net.minecraft.client.model.ModelRenderer;

/**
 *
 * @author CovertJaguar <railcraft.wikispaces.com>
 */
public class ModelSimple extends ModelBase
{

    protected final ModelRenderer renderer;

    public ModelSimple(String name)
    {
        this.renderer = new ModelRenderer(this, name);
    }

    public void render(float factor)
    {
        renderer.render(factor);
    }
    
    @Override
    public void render(Entity entity, float x, float y, float z, float yaw, float pitch, float time) {
        renderer.render(time);
    }

    public void rotate(float x, float y, float z)
    {
        renderer.rotateAngleX = x;
        renderer.rotateAngleY = y;
        renderer.rotateAngleZ = z;
    }
}
