/*
 * This code is the property of CovertJaguar
 * and may only be used with explicit written
 * permission unless otherwise specified on the
 * license page at railcraft.wikispaces.com.
 */
package railcraft.client.sounds;

import net.minecraft.block.StepSound;

/**
 *
 * @author CovertJaguar <railcraft.wikispaces.com>
 */
public class RailcraftSound extends StepSound {

    private static RailcraftSound instance;

    public static RailcraftSound getInstance() {
        if (instance == null) {
            instance = new RailcraftSound();
        }
        return instance;
    }

    private RailcraftSound() {
        super("railcraft", 1, 1);
    }

    @Override
    public String getPlaceSound() {
        return "place." + this.stepSoundName;
    }
}
