package railcraft.common.blocks.aesthetics.cube;

import java.util.Random;
import net.minecraft.block.Block;
import net.minecraft.world.World;
import railcraft.common.blocks.RailcraftBlocks;

public class WorldAnchor extends CubeClass
{

    private static final int[] TEXTURE = new int[]{185, 185, 201, 201, 201, 201};

    public WorldAnchor() {
    }

    @Override
    public int[] getTexture() {
        return TEXTURE;
    }

    @Override
    public void updateTick(World world, int i, int j, int k, Random rand) {
        Block block = RailcraftBlocks.getBlockMachineAlpha();
        if(block == null) {
            block = Block.obsidian;
        }
        world.setBlockWithNotify(i, j, k, block.blockID);
    }

    @Override
    public void onBlockAdded(World world, int i, int j, int k) {
        world.scheduleBlockUpdate(i, j, k, getBlockId(), 1);
    }
}
