package railcraft.common.blocks.aesthetics.post;

import net.minecraft.item.ItemBlock;
import net.minecraft.item.ItemStack;
import railcraft.common.core.RailcraftConstants;

/**
 *
 * @author CovertJaguar <railcraft.wikispaces.com>
 */
public class ItemPost extends ItemBlock
{

    public ItemPost(int id) {
        super(id);
        setMaxDamage(0);
        setHasSubtypes(true);
        setItemName("rc.post");
    }

    @Override
    public int getIconFromDamage(int damage) {
        return EnumPost.fromId(damage).getTexture();
    }

    @Override
    public int getMetadata(int damage) {
        return damage;
    }

    @Override
    public String getItemNameIS(ItemStack stack) {
        return EnumPost.fromId(stack.getItemDamage()).getTag();
    }

    @Override
    public String getTextureFile() {
        return RailcraftConstants.MAIN_TEXTURE_FILE;
    }
}
