package railcraft.common.blocks.aesthetics.post;

import net.minecraft.item.ItemStack;
import railcraft.common.util.misc.EnumColor;

/**
 *
 * @author CovertJaguar <railcraft.wikispaces.com>
 */
public class ItemPostMetal extends ItemPost {

    public ItemPostMetal(int id) {
        super(id);
        setMaxDamage(0);
        setHasSubtypes(true);
        setItemName("rc.post.metal");
    }

    @Override
    public int getIconFromDamage(int damage) {
        if (damage == -1) return EnumPost.METAL.getTexture();
        return BlockPostMetal.getTexture() + damage;
    }

    @Override
    public String getItemNameIS(ItemStack stack) {
        if (stack.getItemDamage() == -1) return EnumPost.METAL.getTag();
        return "rc.post.metal." + EnumColor.fromId(stack.getItemDamage()).getBasicTag();
    }
}
