package railcraft.common.blocks.aesthetics.wall;

import net.minecraft.item.ItemBlock;
import net.minecraft.item.ItemStack;

public class ItemWall extends ItemBlock {

    public ItemWall(int id) {
        super(id);
        setMaxDamage(0);
        setHasSubtypes(true);
    }

    @Override
    public int getIconFromDamage(int meta) {
        return EnumWall.fromMeta(meta).getTexture();
    }

    @Override
    public int getMetadata(int meta) {
        return meta;
    }

    @Override
    public String getItemNameIS(ItemStack stack) {
        return EnumWall.fromMeta(stack.getItemDamage()).getTag();
    }
}
