package railcraft.common.blocks.machine.beta;

import railcraft.common.blocks.machine.IEnumMachine;

/**
 *
 * @author CovertJaguar <railcraft.wikispaces.com>
 */
public class TileEngineSteamHigh extends TileEngineSteam
{

    private static final float OUTPUT_MJ = 8f;

    public TileEngineSteamHigh() {
    }

    @Override
    public IEnumMachine getMachineType() {
        return EnumMachineBeta.ENGINE_STEAM_HIGH;
    }

    @Override
    public float getMaxOutputMJ() {
        return OUTPUT_MJ;
    }

    @Override
    public int steamUsedPerTick() {
        return 40;
    }

    @Override
    public int maxEnergy() {
        return 30000;
    }

    @Override
    public int maxEnergyReceived() {
        return 1200;
    }

    @Override
    public int maxEnergyExtracted() {
        return 160;
    }
}
