/*
 * This code is the property of CovertJaguar
 * and may only be used with explicit written
 * permission unless otherwise specified on the
 * license page at railcraft.wikispaces.com.
 */
package railcraft.common.blocks.signals;

import net.minecraft.world.World;
import railcraft.common.api.signals.SignalAspect;

/**
 *
 * @author CovertJaguar <railcraft.wikispaces.com>
 */
public interface IAspectActionManager {

    public boolean doesActionOnAspect(SignalAspect aspect);

    public void doActionOnAspect(SignalAspect aspect, boolean trigger);
    
    public String getInvName();
    
    public World getWorld();
}
