/*
 * Copyright (c) CovertJaguar, 2011 http://railcraft.info
 * 
 * This code is the property of CovertJaguar
 * and may only be used with explicit written
 * permission unless otherwise specified on the
 * license page at railcraft.wikispaces.com.
 */
package railcraft.common.blocks.signals;

import net.minecraftforge.common.ForgeDirection;
import railcraft.common.api.signals.SignalAspect;

/**
 *
 * @author CovertJaguar <railcraft.wikispaces.com>
 */
public interface IDualHeadSignal {
    
    public EnumSignal getSignalType();

    public ForgeDirection getFacing();

    public SignalAspect getTopAspect();

    public SignalAspect getBottomAspect();
}
