package railcraft.common.blocks.tracks;

import net.minecraft.entity.item.EntityMinecart;

public class TrackBoardingTrain extends TrackBoarding {

    @Override
    public EnumTrack getTrackType() {
        return EnumTrack.BOARDING_TRAIN;
    }

    @Override
    protected byte getDelayTime() {
        return 10;
    }

    @Override
    protected void checkCart(EntityMinecart cart) {
        if (delay > 0) {
            delay = getDelayTime();
        }
    }
}
