package railcraft.common.blocks.tracks;

import net.minecraft.entity.Entity;
import railcraft.common.blocks.tracks.speedcontroller.SpeedControllerReinforced;

public class TrackReinforcedSwitch extends TrackSwitch {

    public TrackReinforcedSwitch() {
        speedController = SpeedControllerReinforced.getInstance();
    }

    @Override
    public EnumTrack getTrackType() {
        return EnumTrack.REINFORCED_SWITCH;
    }

    @Override
    public float getExplosionResistance(double srcX, double srcY, double srcZ, Entity exploder) {
        return TrackReinforced.RESISTANCE;
    }
}
