package railcraft.common.blocks.tracks;


import railcraft.common.blocks.tracks.speedcontroller.SpeedControllerSlow;

public class TrackSlow extends TrackBaseRailcraft
{
    public TrackSlow(){
        speedController = SpeedControllerSlow.getInstance();
    }

    @Override
    public EnumTrack getTrackType()
    {
        return EnumTrack.SLOW;
    }

    @Override
    public int getTextureIndex()
    {
        int meta = tileEntity.getBlockMetadata();
        if(meta >= 6) {
            return getTrackType().getTextureIndex() - 16;
        }
        return getTrackType().getTextureIndex();
    }

    @Override
    public boolean isFlexibleRail()
    {
        return true;
    }
}
