package railcraft.common.blocks.tracks;

import net.minecraft.entity.item.EntityMinecart;
import railcraft.common.blocks.tracks.speedcontroller.SpeedControllerHighSpeed;

public class TrackSpeedSwitch extends TrackSwitch {

    public TrackSpeedSwitch() {
        speedController = SpeedControllerHighSpeed.getInstance();
    }

    @Override
    public void onMinecartPass(EntityMinecart cart) {
        TrackSpeed.testCartSpeedForBasic(this, cart);
    }

    @Override
    public EnumTrack getTrackType() {
        return EnumTrack.SPEED_SWITCH;
    }
}
