/*
 * This code is the property of CovertJaguar
 * and may only be used with explicit written
 * permission unless otherwise specified on the
 * license page at railcraft.wikispaces.com.
 */
package railcraft.common.carts;

import net.minecraft.entity.player.EntityPlayer;
import net.minecraft.util.EntityDamageSource;
import railcraft.common.lang.RailcraftLanguage;
import railcraft.common.util.misc.MiscTools;

/**
 *
 * @author CovertJaguar <railcraft.wikispaces.com>
 */
public class DamageSourceTrain extends EntityDamageSource {

    public DamageSourceTrain(EntityLocomotive source) {
        super("train", source);
        setDamageBypassesArmor();
        setDamageAllowedInCreativeMode();
    }

    @Override
    public String getDeathMessage(EntityPlayer player) {
        String format = RailcraftLanguage.translate("damage.train." + (MiscTools.getRand().nextInt(5) + 1));
        return String.format(format, player.username);
    }
}
