package railcraft.common.carts;

import net.minecraft.item.Item;
import railcraft.common.api.carts.bore.IBoreHead;
import railcraft.common.core.RailcraftConstants;
import railcraft.common.plugins.forge.CreativePlugin;

public abstract class ItemBoreHead extends Item implements IBoreHead
{

    protected ItemBoreHead(int i)
    {
        super(i);
        maxStackSize = 1;
        setCreativeTab(CreativePlugin.TAB);
    }

    @Override
    public String getTextureFile()
    {
        return RailcraftConstants.MAIN_TEXTURE_FILE;
    }
}
