package railcraft.common.carts;

import railcraft.common.core.RailcraftConstants;

public class ItemBoreHeadSteel extends ItemBoreHead
{

    public ItemBoreHeadSteel(int i)
    {
        super(i);
        setIconIndex(184);
        setMaxDamage(3000);
        setItemName("boreHeadSteel");
    }

    @Override
    public String getBoreTexture()
    {
        return RailcraftConstants.CART_TEXTURE_FOLDER + "tunnel_bore_steel.png";
    }

    @Override
    public int getHarvestLevel()
    {
        return 2;
    }

    @Override
    public float getDigModifier()
    {
        return 1.2f;
    }
}
