package railcraft.common.core;

/**
 *
 * @author CovertJaguar <railcraft.wikispaces.com>
 */
public class RailcraftConstants {

    public static final String SOUND_FOLDER = "/railcraft/client/sounds/";
    public static final String TEXTURE_FOLDER = "/railcraft/client/textures/";
    public static final String CART_TEXTURE_FOLDER = TEXTURE_FOLDER + "carts/";
    public static final String GUI_TEXTURE_FOLDER = TEXTURE_FOLDER + "gui/";
    public static final String ENGINE_TEXTURE_FOLDER = TEXTURE_FOLDER + "engines/";
    public static final String ARMOR_TEXTURE_FOLDER = TEXTURE_FOLDER + "armor/";
    public static final String MAIN_TEXTURE_FILE = TEXTURE_FOLDER + "railcraft.png";
    public static final String MACHINE_TEXTURE_FILE = TEXTURE_FOLDER + "machines.png";
    public static final String TRACK_TEXTURE_FILE = TEXTURE_FOLDER + "tracks.png";
    public static final String LIQUID_TEXTURE_FILE = TEXTURE_FOLDER + "liquids.png";
    public static final String CONTAINER_TEXTURE_FILE = TEXTURE_FOLDER + "containers.png";
    public static final String TRIGGER_TEXTURE_FILE = TEXTURE_FOLDER + "triggers.png";
    public static final String CONFIG_FILE_NAME = "railcraft.cfg";
    public static final long TICKS_PER_HOUR = 72000;
    public static final long TICKS_PER_MIN = 1200;
}
