package railcraft.common.gui.slots;

import net.minecraft.inventory.IInventory;
import net.minecraft.item.ItemStack;
import net.minecraft.inventory.Slot;
import railcraft.common.api.crafting.RailcraftCraftingManager;

public class SlotBlastFurnaceInput extends Slot
{

    public SlotBlastFurnaceInput(IInventory iinventory, int slotIndex, int posX, int posY)
    {
        super(iinventory, slotIndex, posX, posY);
    }

    @Override
    public int getSlotStackLimit()
    {
        return 64;
    }

    @Override
    public boolean isItemValid(ItemStack stack)
    {
        return canPlaceItem(stack);
    }

    public static boolean canPlaceItem(ItemStack stack)
    {
        if(RailcraftCraftingManager.blastFurnace.getRecipe(stack) != null) {
            return true;
        }
        return false;
    }
}
