package railcraft.common.gui.slots;

import net.minecraft.block.Block;
import net.minecraft.inventory.IInventory;
import net.minecraft.item.ItemStack;
import net.minecraft.inventory.Slot;
import net.minecraft.item.Item;

public class SlotColorFilter extends Slot implements IPhantomSlot
{

    public SlotColorFilter(IInventory iinventory, int slotIndex, int posX, int posY)
    {
        super(iinventory, slotIndex, posX, posY);
    }

    @Override
    public int getSlotStackLimit()
    {
        return 1;
    }

    @Override
    public boolean isItemValid(ItemStack itemstack)
    {
        if(itemstack == null) {
            return false;
        }
        if(itemstack.itemID == Block.cloth.blockID) {
            return true;
        }
        if(itemstack.itemID == Item.dyePowder.itemID) {
            return true;
        }
        return false;
    }

    @Override
    public boolean canAdjust()
    {
        return true;
    }
}
