package railcraft.common.gui.slots;

import net.minecraft.entity.player.EntityPlayer;
import net.minecraft.inventory.IInventory;
import net.minecraft.item.ItemStack;
import net.minecraft.inventory.Slot;
import railcraft.common.blocks.machine.alpha.TileRollingMachine;

public class SlotRollingMachine extends Slot implements IPhantomSlot {

    private final TileRollingMachine tile;

    public SlotRollingMachine(TileRollingMachine tile, IInventory contents, int id, int x, int y) {
        super(contents, id, x, y);
        this.tile = tile;
    }

    @Override
    public boolean isItemValid(ItemStack itemstack) {
        return false;
    }

    @Override
    public void onPickupFromSlot(EntityPlayer player, ItemStack itemstack) {
        tile.useLast = true;
    }

    @Override
    public boolean canTakeStack(EntityPlayer par1EntityPlayer) {
        return false;
    }

    @Override
    public boolean canAdjust() {
        return false;
    }
}
