package railcraft.common.gui.slots;

import net.minecraft.inventory.IInventory;
import net.minecraft.item.ItemStack;
import net.minecraft.inventory.Slot;
import railcraft.common.items.RailcraftPartItems;
import railcraft.common.util.inventory.InvTools;

public class SlotTurbine extends Slot
{

    public SlotTurbine(IInventory iinventory, int slotIndex, int posX, int posY)
    {
        super(iinventory, slotIndex, posX, posY);
    }

    @Override
    public int getSlotStackLimit()
    {
        return 1;
    }

    @Override
    public boolean isItemValid(ItemStack stack)
    {
        return InvTools.isItemEqual(stack, RailcraftPartItems.getTurbineRotor());
    }
}
