package railcraft.common.gui.slots;

import net.minecraft.block.Block;
import net.minecraft.inventory.IInventory;
import net.minecraft.item.ItemStack;
import net.minecraft.inventory.Slot;
import net.minecraftforge.liquids.LiquidStack;
import railcraft.common.liquids.LiquidManager;

public class SlotWater extends Slot
{

    public SlotWater(IInventory iinventory, int slotIndex, int posX, int posY)
    {
        super(iinventory, slotIndex, posX, posY);
    }

    @Override
    public boolean isItemValid(ItemStack itemstack)
    {
        if(itemstack == null) {
            return false;
        }
        LiquidStack liquid = LiquidManager.getInstance().getLiquidInContainer(itemstack);
        if(liquid != null && liquid.itemID == Block.waterStill.blockID) {
            return true;
        }
        return false;
    }
}
