package railcraft.common.gui.slots;

import net.minecraft.block.Block;
import net.minecraft.inventory.IInventory;
import net.minecraft.item.ItemStack;
import net.minecraft.inventory.Slot;

public class SlotWoolFilter extends Slot implements IPhantomSlot
{

    public SlotWoolFilter(IInventory iinventory, int slotIndex, int posX, int posY)
    {
        super(iinventory, slotIndex, posX, posY);
    }

    @Override
    public int getSlotStackLimit()
    {
        return 1;
    }

    @Override
    public boolean isItemValid(ItemStack itemstack)
    {
        if(itemstack == null) {
            return false;
        }
        if(itemstack.itemID == Block.cloth.blockID) {
            return true;
        }
        return false;
    }

    @Override
    public boolean canAdjust()
    {
        return true;
    }
}
