package railcraft.common.items;

import cpw.mods.fml.common.IFuelHandler;
import net.minecraft.item.ItemStack;
import railcraft.common.util.inventory.InvTools;

/**
 *
 * @author CovertJaguar <railcraft.wikispaces.com>
 */
public class FuelHandler implements IFuelHandler
{

    private ItemStack coke = RailcraftToolItems.getCoalCoke();

    @Override
    public int getBurnTime(ItemStack fuel) {
        if(InvTools.isItemEqual(fuel, coke)) {
            return 6400;
        }
        return 0;
    }
}
