package railcraft.common.items;

import net.minecraft.item.ItemAxe;
import net.minecraft.item.ItemStack;
import railcraft.common.core.RailcraftConstants;
import railcraft.common.util.misc.MiscTools;

public class ItemSteelAxe extends ItemAxe {

    public ItemSteelAxe(int par1) {
        super(par1, ItemMaterials.STEEL_TOOL);
        setItemName("rc.tool.steel.axe");
        setIconIndex(48);
    }

    @Override
    public String getTextureFile() {
        return RailcraftConstants.MAIN_TEXTURE_FILE;
    }

    @Override
    public boolean getIsRepairable(ItemStack itemToRepair, ItemStack stack) {
        return MiscTools.isOreClass(stack, "ingotSteel");
    }
}
