/*
 * This code is the property of CovertJaguar
 * and may only be used with explicit written
 * permission unless otherwise specified on the
 * license page at railcraft.wikispaces.com.
 */
package railcraft.common.items;

import net.minecraft.item.ItemSpade;
import net.minecraft.item.ItemStack;
import railcraft.common.core.RailcraftConstants;
import railcraft.common.util.misc.MiscTools;

/**
 *
 * @author CovertJaguar <railcraft.wikispaces.com>
 */
public class ItemSteelShovel extends ItemSpade {

    public ItemSteelShovel(int par1) {
        super(par1, ItemMaterials.STEEL_TOOL);
        setItemName("rc.tool.steel.shovel");
        setIconIndex(16);
    }

    @Override
    public String getTextureFile() {
        return RailcraftConstants.MAIN_TEXTURE_FILE;
    }

    @Override
    public boolean getIsRepairable(ItemStack itemToRepair, ItemStack stack) {
        return MiscTools.isOreClass(stack, "ingotSteel");
    }
}
