package railcraft.common.items;

import java.util.List;
import net.minecraft.creativetab.CreativeTabs;
import net.minecraft.item.ItemStack;

public class ItemTie extends ItemRailcraft
{

    public ItemTie(int i)
    {
        super(i);
        setHasSubtypes(true);
        setMaxDamage(0);
        setItemName("rc.part.tie");
    }

    @Override
    public void getSubItems(int id, CreativeTabs tab, List list)
    {
        for(int i = 0; i < 2; i++) {
            list.add(new ItemStack(this, 1, i));
        }
    }

    @Override
    public int getIconFromDamage(int damage)
    {
        switch (damage) {
            case 1:
                return 54;
            default:
                return 22;
        }
    }

    @Override
    public String getItemNameIS(ItemStack stack)
    {
        switch (stack.getItemDamage()) {
            case 1:
                return "rc.part.tie.stone";
            default:
                return "rc.part.tie.wood";
        }
    }
}
