package railcraft.common.liquids.tanks;

import net.minecraftforge.liquids.LiquidStack;
import railcraft.common.api.fuel.FuelManager;

/**
 *
 * @author CovertJaguar <railcraft.wikispaces.com>
 */
public class BoilerFuelTank extends StandardTank {

    public BoilerFuelTank(int capacity) {
        super(capacity);
    }

    @Override
    public int fill(LiquidStack resource, boolean doFill) {
        if (FuelManager.getBoilerFuelValue(resource) > 0) {
            return super.fill(resource, doFill);
        }
        return 0;
    }
}
