/*
 * This code is the property of CovertJaguar
 * and may only be used with explicit written
 * permission unless otherwise specified on the
 * license page at railcraft.wikispaces.com.
 */
package railcraft.common.liquids.tanks;

import net.minecraftforge.liquids.ILiquidTank;
import net.minecraftforge.liquids.LiquidStack;
import net.minecraftforge.liquids.LiquidTank;

/**
 *
 * @author CovertJaguar <railcraft.wikispaces.com>
 */
public final class FakeTank extends LiquidTank {

    public static final ILiquidTank INSTANCE = new FakeTank();
    public static final ILiquidTank[] ARRAY = new ILiquidTank[]{new FakeTank()};

    private FakeTank() {
        super(1);
    }

    @Override
    public int fill(LiquidStack resource, boolean doFill) {
        return 0;
    }

    @Override
    public LiquidStack drain(int maxDrain, boolean doDrain) {
        return null;
    }
}
