/*
 * Copyright (c) CovertJaguar, 2011 http://railcraft.info
 * 
 * This code is the property of CovertJaguar
 * and may only be used with explicit written
 * permission unless otherwise specified on the
 * license page at railcraft.wikispaces.com.
 */
package railcraft.common.modules;

import railcraft.common.plugins.forestry.ForestryPlugin;

/**
 *
 * @author CovertJaguar <railcraft.wikispaces.com>
 */
public class ModuleForestry extends RailcraftModule {

    @Override
    public boolean canModuleLoad() {
        return ForestryPlugin.isForestryInstalled();
    }

    @Override
    public void initFirst() {
        ForestryPlugin.registerBackpacks();
    }

    @Override
    public void postInit() {
        ForestryPlugin.setupBackpackContents();
    }
}
