package railcraft.common.modules;

public abstract class RailcraftModule
{

    public void preInit() {
    }

    public void initFirst() {
    }

    public void initSecond() {
    }

    public void postInit() {
    }

    public void postInitNotLoaded() {
    }

    public boolean canModuleLoad() {
        return true;
    }

    public void printLoadError() {
    }

    @Override
    public String toString() {
        return getClass().getSimpleName();
    }
}
