package railcraft.common.plugins.craftguide;

import net.minecraft.item.Item;
import net.minecraft.item.ItemStack;
import railcraft.common.api.core.items.ItemRegistry;
import uristqwerty.CraftGuide.api.BasicRecipeFilter;
import uristqwerty.CraftGuide.api.CraftGuideRecipe;

/**
 *
 * @author CovertJaguar <railcraft.wikispaces.com>
 */
public class RecipeFilter implements BasicRecipeFilter
{

    ItemStack stackTankCart = ItemRegistry.getItem("cart.tank", 1);
    ItemStack stackCart = new ItemStack(Item.minecartEmpty);

    @Override
    public boolean shouldKeepRecipe(CraftGuideRecipe recipe, ItemStack recipeType) {
        boolean tankCart = recipe.containsItem(stackTankCart);
        boolean cart = recipe.containsItem(stackCart);

        if(tankCart && !cart) {
            return false;
        }
        return true;
    }
}
