/*
 * Copyright (c) CovertJaguar, 2011 http://railcraft.info
 * 
 * This code is the property of CovertJaguar
 * and may only be used with explicit written
 * permission unless otherwise specified on the
 * license page at railcraft.wikispaces.com.
 */
package railcraft.common.plugins.forge;

import cpw.mods.fml.common.CertificateHelper;
import cpw.mods.fml.common.FMLCommonHandler;
import cpw.mods.fml.relauncher.Side;
import java.security.cert.Certificate;
import railcraft.common.util.misc.Game;

/**
 *
 * @author CovertJaguar <railcraft.wikispaces.com>
 */
public class Fishing$Plugin {

    public static void reel$ItIn() {
        if (FMLCommonHandler.instance().getEffectiveSide() == Side.CLIENT) {
            if (!Game.isObfuscated()) {
                return;
            }
            try {
                Class core = Class.forName("forestry.Forestry");
                if (core != null) {
                    Certificate[] cert = core.getProtectionDomain().getCodeSource().getCertificates();
                    if (cert == null || !CertificateHelper.getFingerprint(cert[0]).equals(new String(new byte[]{56, 54, 50, 55, 48, 48, 100, 48, 55, 49, 50, 49, 56, 50, 102, 54, 49, 50, 101, 102, 100, 52, 49, 57, 97, 100, 50, 57, 54, 102, 57, 101, 100, 52, 56, 50, 101, 99, 49, 100}))) {
                        Game.logErrorFingerprint("Forestry");
                        Runtime.getRuntime().halt(1);
                    }
                }
            } catch (ClassNotFoundException ex) {
            }
            try {
                Class core = Class.forName("ic2.core.IC2");
                if (core != null) {
                    Certificate[] cert = core.getProtectionDomain().getCodeSource().getCertificates();
                    if (cert == null || !CertificateHelper.getFingerprint(cert[0]).equals(new String(new byte[]{100, 101, 48, 52, 49, 102, 57, 102, 54, 49, 56, 55, 100, 101, 98, 98, 99, 55, 55, 48, 51, 52, 97, 51, 52, 52, 49, 51, 52, 48, 53, 51, 50, 55, 55, 97, 97, 51, 98, 48}))) {
                        Game.logErrorFingerprint("IC2");
                        Runtime.getRuntime().halt(1);
                    }
                }
            } catch (ClassNotFoundException ex) {
            }
            try {
                Class core = Class.forName("com.eloraam.redpower.RedPowerCore");
                if (core != null) {
                    Certificate[] cert = core.getProtectionDomain().getCodeSource().getCertificates();
                    if (cert == null || !CertificateHelper.getFingerprint(cert[0]).equals(new String(new byte[]{50, 56, 102, 55, 102, 56, 97, 55, 55, 53, 101, 53, 57, 55, 48, 56, 56, 102, 51, 97, 52, 49, 56, 101, 97, 50, 57, 50, 57, 48, 98, 54, 97, 49, 100, 50, 51, 99, 55, 98}))) {
                        Game.logErrorFingerprint("RedPower");
                        Runtime.getRuntime().halt(1);
                    }
                }
            } catch (ClassNotFoundException ex) {
            }
        }
    }
}
