package railcraft.client.gui;

import net.minecraft.entity.item.EntityMinecart;
import net.minecraft.entity.player.InventoryPlayer;
import net.minecraft.util.StatCollector;
import railcraft.common.carts.EntityCartWork;
import railcraft.common.gui.containers.ContainerWorkCart;

public class GuiCartWork extends EntityGui
{

    private EntityMinecart cart;

    public GuiCartWork(InventoryPlayer inv, EntityCartWork cart)
    {
        super(cart, new ContainerWorkCart(inv, cart), "/gui/crafting.png");
        this.cart = cart;
    }

    /**
     * Draw the foreground layer for the GuiContainer (everything in front of the items)
     */
    @Override
    protected void drawGuiContainerForegroundLayer(int mouseX, int mouseY)
    {
        this.fontRenderer.drawString(StatCollector.translateToLocal("container.crafting"), 28, 6, 4210752);
        this.fontRenderer.drawString(StatCollector.translateToLocal("container.inventory"), 8, this.ySize - 96 + 2, 4210752);
    }
}
