package railcraft.common.blocks.aesthetics.cube;

import net.minecraft.item.ItemBlock;
import net.minecraft.item.ItemStack;

public class ItemCube extends ItemBlock
{

    public ItemCube(int id)
    {
        super(id);
        setMaxDamage(0);
        setHasSubtypes(true);
    }

    @Override
    public int getIconFromDamage(int meta)
    {
        return EnumCube.fromOrdinal(meta).getBlock().getBlockTextureFromSide(2);
    }

    @Override
    public int getMetadata(int meta)
    {
        return meta;
    }

    @Override
    public String getItemNameIS(ItemStack stack)
    {
        return EnumCube.fromOrdinal(stack.getItemDamage()).getTag();
    }
}
