/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package railcraft.common.blocks.aesthetics.post;

import net.minecraft.block.Block;
import net.minecraft.item.ItemStack;
import railcraft.common.blocks.RailcraftBlocks;

/**
 *
 * @author CovertJaguar <railcraft.wikispaces.com>
 */
public enum EnumPost
{

    WOOD(87),
    STONE(103),
    METAL(169);
    private final int texture;

    private EnumPost(int texture) {
        this.texture = texture;
    }

    public int getTexture() {
        return texture;
    }

    public ItemStack getItem() {
        return getItem(1);
    }

    public ItemStack getItem(int qty) {
        Block block = RailcraftBlocks.getBlockPost();
        if(block == null) {
            return null;
        }
        return new ItemStack(block, qty, ordinal());
    }

    public static EnumPost fromId(int id) {
        if(id < 0 || id >= EnumPost.values().length) {
            id = 0;
        }
        return EnumPost.values()[id];
    }

    public String getTag() {
        return "rc.post." + name().toLowerCase();
    }
}
