package railcraft.common.blocks.detector;

import net.minecraft.item.ItemBlock;
import net.minecraft.item.ItemStack;
import railcraft.common.blocks.RailcraftBlocks;

public class ItemDetector extends ItemBlock
{

    public ItemDetector(int id)
    {
        super(id);
        setMaxDamage(0);
        setHasSubtypes(true);
    }

    public int getIconFromDamage(int meta)
    {
        return RailcraftBlocks.getBlockDetector().getBlockTextureFromSideAndMetadata(2, meta);
    }

    @Override
    public int getMetadata(int meta)
    {
        return meta;
    }

    @Override
    public String getItemNameIS(ItemStack itemstack)
    {
        return BlockDetector.getBlockNameFromMetadata(itemstack.getItemDamage());
    }
}
