package railcraft.common.blocks.machine;

import net.minecraft.block.Block;
import net.minecraft.item.ItemStack;

/**
 *
 * @author CovertJaguar <railcraft.wikispaces.com>
 */
public interface IEnumMachine
{

    String getTag();

    boolean isEnabled();

    ItemStack getItem();

    ItemStack getItem(int qty);

    int getTexture(int side);

    Class getTileClass();

    int ordinal();

    Block getBlock();

    int getBlockId();

    boolean isDepreciated();
}
