package railcraft.common.blocks.machine;

import java.util.List;
import net.minecraft.entity.player.EntityPlayer;
import net.minecraft.item.ItemStack;
import net.minecraft.tileentity.TileEntity;

/**
 *
 * @author CovertJaguar <railcraft.wikispaces.com>
 */
public interface IMachineProxy {

    public String getTag(int meta);

    public int getTexture(int meta, int side);

    public TileEntity getTileEntity(int meta);

    public List<? extends IEnumMachine> getCreativeList();

    public Class getTileClass(int meta);

    public void addItemInfo(ItemStack stack, EntityPlayer player, List<String> info,  boolean adv);
}
