package railcraft.common.blocks.machine.alpha;

import java.util.List;
import net.minecraft.entity.player.EntityPlayer;
import net.minecraft.item.ItemStack;
import net.minecraft.tileentity.TileEntity;
import railcraft.common.blocks.machine.IEnumMachine;
import railcraft.common.blocks.machine.IMachineProxy;

/**
 *
 * @author CovertJaguar <railcraft.wikispaces.com>
 */
public class MachineProxyAlpha implements IMachineProxy {

    @Override
    public String getTag(int meta) {
        return EnumMachineAlpha.fromId(meta).getTag();
    }

    @Override
    public int getTexture(int meta, int side) {
        return EnumMachineAlpha.fromId(meta).getTexture(side);
    }

    @Override
    public TileEntity getTileEntity(int meta) {
        return EnumMachineAlpha.fromId(meta).getTileEntity();
    }

    @Override
    public Class getTileClass(int meta) {
        return EnumMachineAlpha.fromId(meta).getTileClass();
    }

    @Override
    public List<? extends IEnumMachine> getCreativeList() {
        return EnumMachineAlpha.getCreativeList();
    }

    @Override
    public void addItemInfo(ItemStack stack, EntityPlayer player, List<String> info, boolean adv) {
        EnumMachineAlpha.fromId(stack.getItemDamage()).addItemInfo(stack, player, info, adv);
    }
}
