package railcraft.common.blocks.machine.beta;

import buildcraft.api.power.IPowerProvider;
import buildcraft.api.power.IPowerReceptor;
import buildcraft.api.power.PowerProvider;
import net.minecraft.tileentity.TileEntity;

/**
 *
 * @author CovertJaguar <railcraft.wikispaces.com>
 */
public class EngineTools
{

    public static boolean isPoweredTile(TileEntity tile)
    {
        if(tile instanceof IPowerReceptor) {
            IPowerReceptor receptor = (IPowerReceptor)tile;
            IPowerProvider provider = receptor.getPowerProvider();

            return provider instanceof PowerProvider;
        }

        return false;
    }
}
