package railcraft.common.blocks.machine.beta;

import railcraft.common.blocks.machine.IEnumMachine;

/**
 *
 * @author CovertJaguar <railcraft.wikispaces.com>
 */
public class TileEngineSteamLow extends TileEngineSteam
{

    private static final float OUTPUT_MJ = 4f;

    public TileEngineSteamLow() {
    }

    @Override
    public IEnumMachine getMachineType() {
        return EnumMachineBeta.ENGINE_STEAM_LOW;
    }

    @Override
    public float getMaxOutputMJ() {
        return OUTPUT_MJ;
    }

    @Override
    public int steamUsedPerTick() {
        return 20;
    }

    @Override
    public int maxEnergy() {
        return 20000;
    }

    @Override
    public int maxEnergyReceived() {
        return 600;
    }

    @Override
    public int maxEnergyExtracted() {
        return 80;
    }
}
