package railcraft.common.blocks.ore;

import net.minecraft.item.ItemBlock;
import net.minecraft.item.ItemStack;

public class ItemOre extends ItemBlock
{

    public ItemOre(int id) {
        super(id);
        setMaxDamage(0);
        setHasSubtypes(true);
    }

    @Override
    public int getIconFromDamage(int meta) {
        return EnumOre.values()[meta].getTexture(meta);
    }

    @Override
    public int getMetadata(int meta) {
        return meta;
    }

    @Override
    public String getItemNameIS(ItemStack stack) {
        int damage = stack.getItemDamage();
        if(damage < 0 || damage >= EnumOre.values().length) {
            return "";
        }
        return EnumOre.values()[damage].getTag();
    }
}
