package railcraft.common.carts;

import railcraft.common.core.RailcraftConstants;

public class ItemBoreHeadDiamond extends ItemBoreHead
{

    public ItemBoreHeadDiamond(int i)
    {
        super(i);
        setIconIndex(168);
        setMaxDamage(6000);
        setItemName("boreHeadDiamond");
    }

    @Override
    public String getBoreTexture()
    {
        return RailcraftConstants.CART_TEXTURE_FOLDER + "tunnel_bore_diamond.png";
    }

    @Override
    public int getHarvestLevel()
    {
        return 3;
    }

    @Override
    public float getDigModifier()
    {
        return 1.4f;
    }
}
