package railcraft.common.carts;

import railcraft.common.core.RailcraftConstants;

public class ItemBoreHeadIron extends ItemBoreHead
{

    public ItemBoreHeadIron(int i)
    {
        super(i);
        setIconIndex(152);
        setMaxDamage(1500);
        setItemName("boreHeadIron");
    }

    @Override
    public String getBoreTexture()
    {
        return RailcraftConstants.CART_TEXTURE_FOLDER + "tunnel_bore_iron.png";
    }

    @Override
    public int getHarvestLevel()
    {
        return 2;
    }

    @Override
    public float getDigModifier()
    {
        return 1.0f;
    }
}
