package railcraft.common.gui.containers;

import net.minecraft.entity.player.InventoryPlayer;
import net.minecraft.inventory.Slot;
import railcraft.common.carts.EntityCartEnergy;
import railcraft.common.gui.slots.SlotEnergy;

public class ContainerCartEnergy extends RailcraftContainer {

    private EntityCartEnergy cart;

    public ContainerCartEnergy(InventoryPlayer inventoryplayer, EntityCartEnergy device) {
        super(device);
        this.cart = device;
        addSlot(new SlotEnergy(device, 0, 56, 17));
        addSlot(new SlotEnergy(device, 1, 56, 53));
        for (int i = 0; i < 3; i++) {
            for (int k = 0; k < 9; k++) {
                addSlot(new Slot(inventoryplayer, k + i * 9 + 9, 8 + k * 18, 84 + i * 18));
            }

        }

        for (int j = 0; j < 9; j++) {
            addSlot(new Slot(inventoryplayer, j, 8 + j * 18, 142));
        }
    }

//    @Override
//    public ItemStack transferStackInSlot(EntityPlayer player, int i) {
//        ItemStack itemstack = null;
//        Slot slot = (Slot) inventorySlots.get(i);
//        if (slot != null && slot.getHasStack()) {
//            ItemStack itemstack1 = slot.getStack();
//            itemstack = itemstack1.copy();
//            if (i >= 2 && i < 38 && SlotEnergy.canPlaceItem(itemstack1)) {
//                if (!mergeItemStack(itemstack1, 0, 2, false)) {
//                    return null;
//                }
//            } else if (i >= 2 && i < 29) {
//                if (!mergeItemStack(itemstack1, 29, 38, false)) {
//                    return null;
//                }
//            } else if (i >= 29 && i < 38) {
//                if (!mergeItemStack(itemstack1, 2, 29, false)) {
//                    return null;
//                }
//            } else if (!mergeItemStack(itemstack1, 2, 38, false)) {
//                return null;
//            }
//            if (itemstack1.stackSize == 0) {
//                slot.putStack(null);
//            } else {
//                slot.onSlotChanged();
//            }
//            if (itemstack1.stackSize != itemstack.stackSize) {
//                slot.onPickupFromSlot(player, itemstack1);
//            } else {
//                return null;
//            }
//        }
//        return itemstack;
//    }
}
