package railcraft.common.gui.containers;

import net.minecraft.entity.player.InventoryPlayer;
import net.minecraft.inventory.Slot;
import railcraft.common.blocks.machine.gamma.TileDispenserCart;
import railcraft.common.gui.slots.SlotDispenserCart;

public class ContainerDispenserCart extends RailcraftContainer {

    public TileDispenserCart tile;
    private Slot cartSlot;

    public ContainerDispenserCart(InventoryPlayer inventoryplayer, TileDispenserCart tile) {
        super(tile);
        this.tile = tile;
        addSlot(cartSlot = new SlotDispenserCart(tile, 0, 62, 24));
        addSlot(new SlotDispenserCart(tile, 1, 80, 24));
        addSlot(new SlotDispenserCart(tile, 2, 98, 24));

        for (int i = 0; i < 3; i++) {
            for (int k = 0; k < 9; k++) {
                addSlot(new Slot(inventoryplayer, k + i * 9 + 9, 8 + k * 18, 58 + i * 18));
            }

        }

        for (int j = 0; j < 9; j++) {
            addSlot(new Slot(inventoryplayer, j, 8 + j * 18, 116));
        }
    }

//    @Override
//    public ItemStack transferStackInSlot(EntityPlayer player, int i) {
//        ItemStack startStack = null;
//        Slot slot = (Slot) inventorySlots.get(i);
//        if (slot != null && slot.getHasStack()) {
//            startStack = slot.getStack().copy();
//            if (!(startStack.getItem() instanceof ItemMinecart)) {
//                return null;
//            }
//            ItemStack moveStack = startStack.splitStack(1);
//            if (i >= tile.getSizeInventory() && cartSlot.isItemValid(moveStack)) {
//                if (!mergeItemStack(moveStack, 0, tile.getSizeInventory(), false)) {
//                    return null;
//                }
//            } else {
//                if (!mergeItemStack(moveStack, 3, inventorySlots.size(), false)) {
//                    return null;
//                }
//            }
//            if (moveStack.stackSize == 0) {
//                slot.onPickupFromSlot(player, moveStack);
//            }
//            if (startStack.stackSize <= 0) {
//                slot.putStack(null);
//                return null;
//            } else {
//                slot.putStack(startStack);
//            }
//        }
//        return startStack;
//    }
}
