package railcraft.common.gui.slots;

import net.minecraft.inventory.IInventory;
import net.minecraft.item.ItemStack;
import net.minecraft.inventory.Slot;
import railcraft.common.util.misc.BallastRegistry;

public class SlotBallast extends Slot
{

    public SlotBallast(IInventory iinventory, int slotIndex, int posX, int posY)
    {
        super(iinventory, slotIndex, posX, posY);
    }

    @Override
    public int getSlotStackLimit()
    {
        return 64;
    }

    @Override
    public boolean isItemValid(ItemStack stack)
    {
        if(stack != null && BallastRegistry.isItemBallast(stack)) {
            return true;
        }
        return false;
    }
}
