package railcraft.common.gui.slots;

import net.minecraft.inventory.IInventory;
import net.minecraft.item.Item;
import net.minecraft.item.ItemStack;
import net.minecraft.inventory.Slot;
import railcraft.common.items.RailcraftToolItems;
import railcraft.common.util.inventory.InvTools;

public class SlotBlastFurnaceFuel extends Slot
{

    public SlotBlastFurnaceFuel(IInventory iinventory, int slotIndex, int posX, int posY)
    {
        super(iinventory, slotIndex, posX, posY);
    }

    @Override
    public int getSlotStackLimit()
    {
        return 64;
    }

    @Override
    public boolean isItemValid(ItemStack stack)
    {
        return canPlaceItem(stack);
    }

    public static boolean canPlaceItem(ItemStack stack)
    {
        return stack != null && ((stack.getItem() == Item.coal && stack.getItemDamage() == 1) || InvTools.isItemEqual(stack, RailcraftToolItems.getCoalCoke()));
    }
}
