package railcraft.common.gui.slots;

import net.minecraft.inventory.IInventory;
import net.minecraft.item.ItemBlock;
import net.minecraft.item.ItemStack;
import net.minecraft.inventory.Slot;

public class SlotBlockFilter extends Slot implements IPhantomSlot {

    public SlotBlockFilter(IInventory iinventory, int slotIndex, int posX, int posY) {
        super(iinventory, slotIndex, posX, posY);
    }

    @Override
    public int getSlotStackLimit() {
        return 1;
    }

    @Override
    public boolean isItemValid(ItemStack stack) {
        if (stack != null && stack.getItem() instanceof ItemBlock) {
            return true;
        }
        return false;
    }

    @Override
    public boolean canAdjust() {
        return true;
    }
}
