package railcraft.common.gui.slots;

import net.minecraft.inventory.IInventory;
import net.minecraft.item.ItemStack;
import net.minecraft.inventory.Slot;
import railcraft.common.util.inventory.InvTools;

public class SlotCopy extends Slot {

    private Slot masterSlot;

    public SlotCopy(IInventory iinventory, int slotIndex, int posX, int posY, Slot masterSlot) {
        super(iinventory, slotIndex, posX, posY);
        this.masterSlot = masterSlot;
    }

    @Override
    public int getSlotStackLimit() {
        return 64;
    }

    @Override
    public boolean isItemValid(ItemStack stack) {
        ItemStack master = masterSlot.getStack();
        return InvTools.isItemEqual(stack, master);
    }
}
