package railcraft.common.gui.slots;

import net.minecraft.inventory.IInventory;
import net.minecraft.item.ItemStack;
import railcraft.common.api.core.items.IMinecartItem;

/**
 *
 * @author CovertJaguar <railcraft.wikispaces.com>
 */
public class SlotDispenserTrain extends SlotMinecartFilter
{

    public SlotDispenserTrain(IInventory iinventory, int slotIndex, int posX, int posY)
    {
        super(iinventory, slotIndex, posX, posY);
    }

    @Override
    public int getSlotStackLimit()
    {
        return 1;
    }

    @Override
    public boolean isItemValid(ItemStack stack)
    {
        if(stack == null) {
            return false;
        }
        if(stack.getItem() instanceof IMinecartItem) {
            return ((IMinecartItem)stack.getItem()).canBePlacedByNonPlayer(stack);
        }
        return super.isItemValid(stack);
    }
}
