package railcraft.common.gui.slots;

import ic2.api.IElectricItem;
import net.minecraft.inventory.IInventory;
import net.minecraft.item.ItemStack;
import net.minecraft.inventory.Slot;

public class SlotEnergy extends Slot {

    public SlotEnergy(IInventory iinventory, int slotIndex, int posX, int posY) {
        super(iinventory, slotIndex, posX, posY);
    }

    @Override
    public int getSlotStackLimit() {
        return 64;
    }

    @Override
    public boolean isItemValid(ItemStack stack) {
        if (stack != null && stack.getItem() instanceof IElectricItem) {
            return true;
        }
        return false;
    }
}
