package railcraft.common.gui.slots;

import net.minecraft.inventory.IInventory;
import net.minecraft.item.ItemStack;
import net.minecraft.inventory.Slot;

public class SlotFilter extends Slot implements IPhantomSlot
{

    public ISlotController controller = null;

    public SlotFilter(IInventory iinventory, int slotIndex, int posX, int posY)
    {
        super(iinventory, slotIndex, posX, posY);
    }

    public SlotFilter(IInventory iinventory, int slotIndex, int posX, int posY, ISlotController controller)
    {
        this(iinventory, slotIndex, posX, posY);
        this.controller = controller;
    }

    @Override
    public boolean isItemValid(ItemStack par1ItemStack)
    {
        return controller == null || controller.isSlotEnabled();
    }

    @Override
    public boolean canAdjust()
    {
        return true;
    }
}
