package railcraft.common.gui.slots;

import net.minecraft.inventory.IInventory;
import net.minecraft.item.ItemStack;
import net.minecraft.inventory.Slot;
import railcraft.common.liquids.LiquidManager;

public class SlotLiquidContainer extends Slot
{

    public SlotLiquidContainer(IInventory iinventory, int slotIndex, int posX, int posY)
    {
        super(iinventory, slotIndex, posX, posY);
    }

    @Override
    public boolean isItemValid(ItemStack itemstack)
    {
        if(itemstack == null) {
            return false;
        }
        if(LiquidManager.getInstance().isContainer(itemstack)) {
            return true;
        }
        return false;
    }
}
