package railcraft.common.gui.slots;

import net.minecraft.inventory.IInventory;
import net.minecraft.item.ItemStack;
import net.minecraft.inventory.Slot;
import railcraft.common.liquids.LiquidManager;

public class SlotLiquidContainerFilled extends Slot
{

    public SlotLiquidContainerFilled(IInventory iinventory, int slotIndex, int posX, int posY)
    {
        super(iinventory, slotIndex, posX, posY);
    }

    @Override
    public boolean isItemValid(ItemStack itemstack)
    {
        return canPlaceItem(itemstack);
    }

    public static boolean canPlaceItem(ItemStack itemstack)
    {
        if(itemstack == null) {
            return false;
        }
        if(LiquidManager.getInstance().getLiquidInContainer(itemstack) != null) {
            return true;
        }
        return false;
    }
}
