package railcraft.common.gui.slots;

import net.minecraft.inventory.IInventory;
import net.minecraft.item.ItemStack;
import net.minecraft.inventory.Slot;
import railcraft.common.liquids.LiquidManager;

public class SlotLiquidFilter extends Slot implements IPhantomSlot
{

    public SlotLiquidFilter(IInventory iinventory, int slotIndex, int posX, int posY)
    {
        super(iinventory, slotIndex, posX, posY);
    }

    @Override
    public int getSlotStackLimit()
    {
        return 1;
    }

    @Override
    public boolean isItemValid(ItemStack itemstack)
    {
        return canPlaceItem(itemstack);
    }

    public static boolean canPlaceItem(ItemStack itemstack)
    {
        return LiquidManager.getInstance().isFilledContainer(itemstack);
    }

    @Override
    public boolean canAdjust()
    {
        return true;
    }
}
