package railcraft.common.gui.slots;

import net.minecraft.inventory.IInventory;
import net.minecraft.item.ItemMinecart;
import net.minecraft.item.ItemStack;
import net.minecraft.inventory.Slot;
import railcraft.common.api.core.items.IMinecartItem;

public class SlotMinecart extends Slot
{

    public SlotMinecart(IInventory iinventory, int slotIndex, int posX, int posY)
    {
        super(iinventory, slotIndex, posX, posY);
    }

    @Override
    public boolean isItemValid(ItemStack stack)
    {
        if(stack == null) {
            return false;
        }
        if(stack.getItem() instanceof IMinecartItem) {
            return true;
        }
        if(stack.getItem() instanceof ItemMinecart) {
            return true;
        }
        return false;
    }
}
