package railcraft.common.gui.slots;

import net.minecraft.block.BlockRail;
import net.minecraft.inventory.IInventory;
import net.minecraft.item.ItemBlock;
import net.minecraft.item.ItemStack;
import net.minecraft.inventory.Slot;
import railcraft.common.api.core.items.ITrackItem;

public class SlotTrack extends Slot
{

    public SlotTrack(IInventory iinventory, int slotIndex, int posX, int posY)
    {
        super(iinventory, slotIndex, posX, posY);
    }

    @Override
    public int getSlotStackLimit()
    {
        return 64;
    }

    @Override
    public boolean isItemValid(ItemStack stack)
    {
        if(stack != null && (stack.getItem() instanceof ITrackItem || (stack.getItem() instanceof ItemBlock && BlockRail.isRailBlock(stack.itemID)))) {
            return true;
        }
        return false;
    }
}
