package railcraft.common.items;

import net.minecraft.item.ItemPickaxe;
import net.minecraft.item.ItemStack;
import railcraft.common.core.RailcraftConstants;
import railcraft.common.util.misc.MiscTools;

public class ItemSteelPickaxe extends ItemPickaxe
{

    public ItemSteelPickaxe(int par1)
    {
        super(par1, ItemMaterials.STEEL_TOOL);
        setItemName("rc.tool.steel.pickaxe");
        setIconIndex(32);
    }

    @Override
    public String getTextureFile()
    {
        return RailcraftConstants.MAIN_TEXTURE_FILE;
    }

    @Override
    public boolean getIsRepairable(ItemStack itemToRepair, ItemStack stack) {
        return MiscTools.isOreClass(stack, "ingotSteel");
    }
}
