package railcraft.common.items;

import net.minecraft.item.ItemStack;
import net.minecraft.item.ItemSword;
import railcraft.common.core.RailcraftConstants;
import railcraft.common.util.misc.MiscTools;

public class ItemSteelSword extends ItemSword {

    public ItemSteelSword(int par1) {
        super(par1, ItemMaterials.STEEL_TOOL);
        setItemName("rc.tool.steel.sword");
        setIconIndex(0);
    }

    @Override
    public String getTextureFile() {
        return RailcraftConstants.MAIN_TEXTURE_FILE;
    }

    @Override
    public boolean getIsRepairable(ItemStack itemToRepair, ItemStack stack) {
        return MiscTools.isOreClass(stack, "ingotSteel");
    }
}
