package railcraft.common.liquids;

import net.minecraftforge.liquids.LiquidContainerData;
import net.minecraftforge.liquids.LiquidContainerRegistry;

/**
 *
 * @author CovertJaguar <railcraft.wikispaces.com>
 */
public class ForgeLiquidAdapater implements ILiquidAdaptor {

    private static ForgeLiquidAdapater instance;

    public static ForgeLiquidAdapater getInstance() {
        if (instance == null) {
            instance = new ForgeLiquidAdapater();
        }
        return instance;
    }

    @Override
    public void registerContainer(LiquidContainerData container) {
        LiquidContainerRegistry.registerLiquid(container);
    }
}
