/*
 * This code is the property of CovertJaguar
 * and may only be used with explicit written
 * permission unless otherwise specified on the
 * license page at railcraft.wikispaces.com.
 */
package railcraft.common.liquids;

import net.minecraft.block.Block;
import net.minecraftforge.liquids.LiquidStack;

/**
 *
 * @author CovertJaguar <railcraft.wikispaces.com>
 */
public class LiquidFilter {
    
    public static final LiquidStack WATER = new LiquidStack(Block.waterStill, 0);
    public static final LiquidStack LAVA = new LiquidStack(Block.lavaStill, 0);
    public static final LiquidStack STEAM = LiquidItems.getSteamLiquid();
    public static final LiquidStack CREOSOTE = LiquidItems.getCreosoteOilLiquid(0);
}
