package railcraft.common.modules;

import net.minecraft.block.Block;
import railcraft.common.blocks.RailcraftBlocks;
import railcraft.common.blocks.tracks.BlockFenceReplacement;
import railcraft.common.blocks.tracks.EnumTrack;
import railcraft.common.util.misc.MiscTools;

public class ModuleTrack extends RailcraftModule
{

    @Override
    public void initFirst() {
        RailcraftBlocks.registerBlockTrack();

        if(RailcraftBlocks.getBlockTrack() != null) {
            MiscTools.registerTrack(EnumTrack.BOARDING);
            MiscTools.registerTrack(EnumTrack.HOLDING);
            MiscTools.registerTrack(EnumTrack.LOCKDOWN);
            MiscTools.registerTrack(EnumTrack.ONEWAY);
            MiscTools.registerTrack(EnumTrack.CONTROL);
            MiscTools.registerTrack(EnumTrack.JUNCTION);
            MiscTools.registerTrack(EnumTrack.SWITCH);
            MiscTools.registerTrack(EnumTrack.WYE);
            MiscTools.registerTrack(EnumTrack.DISEMBARK);
            MiscTools.registerTrack(EnumTrack.EMBARKING);
            MiscTools.registerTrack(EnumTrack.BUFFER_STOP);
            MiscTools.registerTrack(EnumTrack.GATED);
            MiscTools.registerTrack(EnumTrack.GATED_ONEWAY);
            MiscTools.registerTrack(EnumTrack.DISPOSAL);
            MiscTools.registerTrack(EnumTrack.DETECTOR_DIRECTION);

            Block.blocksList[Block.fence.blockID] = null;
            Block fence = new BlockFenceReplacement(85, 4);
        }
    }
}
