package railcraft.common.modules;

import railcraft.common.blocks.RailcraftBlocks;
import railcraft.common.blocks.tracks.EnumTrack;
import railcraft.common.util.misc.MiscTools;

public class ModuleTracksReinforced extends RailcraftModule
{

    @Override
    public void initFirst()
    {
        RailcraftBlocks.registerBlockTrack();

        if(RailcraftBlocks.getBlockTrack() != null) {
            MiscTools.registerTrack(EnumTrack.REINFORCED);
            MiscTools.registerTrack(EnumTrack.REINFORCED_BOOSTER);
            MiscTools.registerTrack(EnumTrack.REINFORCED_JUNCTION);
            MiscTools.registerTrack(EnumTrack.REINFORCED_SWITCH);
            MiscTools.registerTrack(EnumTrack.REINFORCED_WYE);
        }
    }
}
