package railcraft.common.plugins.buildcraft;

import buildcraft.api.gates.ActionManager;
import cpw.mods.fml.common.event.FMLInterModComms;
import net.minecraft.block.Block;
import railcraft.common.plugins.buildcraft.actions.ActionProvider;
import railcraft.common.plugins.buildcraft.triggers.TriggerProvider;
import railcraft.common.util.misc.Game;

/**
 *
 * @author CovertJaguar <railcraft.wikispaces.com>
 */
public class BuildcraftPlugin {

    public static void init() {
        try {
            ActionManager.registerTriggerProvider(new TriggerProvider());
            ActionManager.registerActionProvider(new ActionProvider());
        } catch (Throwable error) {
            Game.logErrorAPI("Buildcraft", error);
        }
    }

    public static void addFacade(Block block, int meta) {
        if (block == null) return;
        FMLInterModComms.sendMessage("BuildCraft|Transport", "add-facade", String.format("%d@%d", block.blockID, meta));
    }
}
