package railcraft.common.plugins.buildcraft.triggers;

import buildcraft.api.gates.ITriggerParameter;
import net.minecraft.tileentity.TileEntity;
import railcraft.common.lang.RailcraftLanguage;

/**
 *
 * @author CovertJaguar <railcraft.wikispaces.com>
 */
public class TriggerHasCart extends TriggerBase
{

    public TriggerHasCart(int id)
    {
        super(id);
    }

    @Override
    public String getDescription()
    {
        return RailcraftLanguage.translate("gates.trigger.cart");
    }

    @Override
    public int getIndexInTexture()
    {
        return 1;
    }

    @Override
    public boolean isTriggerActive(TileEntity tile, ITriggerParameter parameter)
    {
        if(tile instanceof IHasCart) {
            return ((IHasCart)tile).hasMinecart();
        }
        return false;
    }
}
