package railcraft.common.plugins.buildcraft.triggers;

import buildcraft.api.gates.ITriggerParameter;
import net.minecraft.tileentity.TileEntity;
import railcraft.common.lang.RailcraftLanguage;

/**
 *
 * @author CovertJaguar <railcraft.wikispaces.com>
 */
public class TriggerHasWork extends TriggerBase
{

    public TriggerHasWork(int id)
    {
        super(id);
    }

    @Override
    public String getDescription()
    {
        return RailcraftLanguage.translate("gates.trigger.work");
    }

    @Override
    public int getIndexInTexture()
    {
        return 0;
    }

    @Override
    public boolean isTriggerActive(TileEntity tile, ITriggerParameter parameter)
    {
        if(tile instanceof IHasWork) {
            return ((IHasWork)tile).hasWork();
        }
        return false;
    }
}
