package railcraft.common.plugins.buildcraft.triggers;

import buildcraft.api.gates.ITriggerParameter;
import net.minecraft.tileentity.TileEntity;
import railcraft.common.lang.RailcraftLanguage;

/**
 *
 * @author CovertJaguar <railcraft.wikispaces.com>
 */
public class TriggerLowFuel extends TriggerBase
{

    public TriggerLowFuel(int id)
    {
        super(id);
    }

    @Override
    public String getDescription()
    {
        return RailcraftLanguage.translate("gates.trigger.fuel");
    }

    @Override
    public int getIndexInTexture()
    {
        return 2;
    }

    @Override
    public boolean isTriggerActive(TileEntity tile, ITriggerParameter parameter)
    {
        if(tile instanceof INeedsFuel) {
            return ((INeedsFuel)tile).needsFuel();
        }
        return false;
    }
}
