package railcraft.common.plugins.buildcraft.triggers;

import buildcraft.api.gates.ITriggerParameter;
import net.minecraft.tileentity.TileEntity;
import railcraft.common.lang.RailcraftLanguage;

/**
 *
 * @author CovertJaguar <railcraft.wikispaces.com>
 */
public class TriggerMaintenance extends TriggerBase
{

    public TriggerMaintenance(int id)
    {
        super(id);
    }

    @Override
    public String getDescription()
    {
        return RailcraftLanguage.translate("gates.trigger.maintenance");
    }

    @Override
    public int getIndexInTexture()
    {
        return 3;
    }

    @Override
    public boolean isTriggerActive(TileEntity tile, ITriggerParameter parameter)
    {
        if(tile instanceof INeedsMaintenance) {
            return ((INeedsMaintenance)tile).needsMaintenance();
        }
        return false;
    }
}
