/*
 * Copyright (c) CovertJaguar, 2011 http://railcraft.info
 * 
 * This code is the property of CovertJaguar
 * and may only be used with explicit written
 * permission unless otherwise specified on the
 * license page at railcraft.wikispaces.com.
 */
package railcraft.common.plugins.forge;

import net.minecraft.creativetab.CreativeTabs;
import net.minecraft.item.ItemStack;
import railcraft.common.items.RailcraftToolItems;

/**
 *
 * @author CovertJaguar <railcraft.wikispaces.com>
 */
public class CreativePlugin {

    public static final CreativeTabs TAB = new RailcraftTab("railcraft");

    private static class RailcraftTab extends CreativeTabs {

        public RailcraftTab(String label) {
            super(label);
        }

        @Override
        public ItemStack getIconItemStack() {
            return RailcraftToolItems.getCrowbar();
        }

        @Override
        public String getTranslatedTabLabel() {
            return "Railcraft";
        }
    }
}
