/*
 * Copyright (c) CovertJaguar, 2011 http://railcraft.info
 * 
 * This code is the property of CovertJaguar
 * and may only be used with explicit written
 * permission unless otherwise specified on the
 * license page at railcraft.wikispaces.com.
 */
package railcraft.common.plugins.forge;

import cpw.mods.fml.common.ITickHandler;
import cpw.mods.fml.common.TickType;
import java.util.EnumSet;
import net.minecraft.client.Minecraft;
import net.minecraft.client.gui.GuiMainMenu;
import railcraft.client.gui.GuiOpenForBusiness;

/**
 *
 * @author CovertJaguar <railcraft.wikispaces.com>
 */
public class CreeperHandler implements ITickHandler {

    private static final String STRING0 = new String(new byte[]{89, 111, 117, 32, 97, 114, 101, 32, 117, 115, 105, 110, 103, 32, 97, 110, 32, 117, 110, 116, 114, 117, 115, 116, 119, 111, 114, 116, 104, 121, 32, 97, 110, 100, 32, 105, 108, 108, 101, 103, 97, 108, 108, 121, 32, 100, 105, 115, 116, 114, 105, 98, 117, 116, 101, 100, 32, 109, 111, 100, 112, 97, 99, 107, 46});
    private static final String STRING1 = new String(new byte[]{73, 102, 32, 121, 111, 117, 32, 99, 104, 111, 111, 115, 101, 32, 116, 111, 32, 99, 111, 110, 116, 105, 110, 117, 101, 44, 32, 121, 111, 117, 32, 119, 105, 108, 108, 32, 101, 120, 112, 101, 114, 105, 101, 110, 99, 101, 32, 99, 101, 114, 116, 97, 105, 110, 32, 115, 97, 110, 99, 116, 105, 111, 110, 115, 46});
    private static final String STRING2 = new String(new byte[]{67, 111, 110, 116, 105, 110, 117, 101, 63});
    private static EnumSet<TickType> ticks = EnumSet.of(TickType.RENDER);
    private boolean done;

    @Override
    public void tickStart(EnumSet<TickType> type, Object... tickData) {
        if (Minecraft.getMinecraft().currentScreen instanceof GuiMainMenu) {
            done = true;
            GuiOpenForBusiness gui = new GuiOpenForBusiness(STRING0, STRING1, STRING2);
            Minecraft.getMinecraft().displayGuiScreen(gui);
        }
    }

    @Override
    public void tickEnd(EnumSet<TickType> type, Object... tickData) {
    }

    @Override
    public EnumSet<TickType> ticks() {
        if (done) {
            return EnumSet.noneOf(TickType.class);
        }
        return ticks;
    }

    @Override
    public String getLabel() {
        return "CreeperTick";
    }
}
