package railcraft.common.util.inventory;

import buildcraft.api.inventory.ISelectiveInventory;
import net.minecraft.item.ItemStack;
import net.minecraftforge.common.ForgeDirection;

/**
 *
 * @author CovertJaguar <railcraft.wikispaces.com>
 */
public class SelectiveInventoryMapper extends SpecialInventoryMapper
{

    private final ISelectiveInventory inv;

    public SelectiveInventoryMapper(ISelectiveInventory inv, ForgeDirection side)
    {
        super(inv, side);
        this.inv = inv;
    }

    public ItemStack[] extractItem(Object[] desired, boolean exclusion, boolean doRemove, ForgeDirection from, int maxItemCount)
    {
        return inv.extractItem(desired, exclusion, doRemove, side, maxItemCount);
    }
}
